Appearance
GET
/web-pages/draft/drafts/{draftId}/products/{productId}Required scope:
viskan:draft:readRetrieves a product-to-layout connection.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
productId string Format:
uuidIdentifier of the product.
Response
The product-to-layout connection details.
JSON
{
"productLayoutId": "534f4af9-874f-40e8-b86e-c324fee21051",
"productId": "3e6cce60-79ee-4a40-b6f4-c7ef640418b7",
"layoutId": "a1f4e3b2-7c89-4d56-b123-9e8f7a6b5c4d",
"status": "MODIFIED",
"variables": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"contentLocaleId": "136ec43d-6983-4f1c-a6a1-c39147656b23",
"variableId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"variableValue": "Welcome to start page!",
"status": "MODIFIED"
}
]
}
| Error code | Description |
|---|---|
web-pages.retrieve-product.draft-not-found | Draft not found. |
web-pages.retrieve-product.product-not-found | Product-to-layout connection not found. |